org.apache.maven.scm.providers.gitlib.settings

## Class Settings

- java.lang.Object
- - org.apache.maven.scm.providers.gitlib.settings.Settings

- All Implemented Interfaces:
    Serializable

      public class Settings
      extends Object
      implements Serializable

  Class Settings.
  Version:
    $Revision$ $Date$
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getModelEncoding()` Get the modelEncoding field.
    `String` | `getRevParseDateFormat()` Get git format allowed by changelog command.
    `String` | `getTraceGitCommand()` Get traces the execution of a git command.
    `boolean` | `isCommitNoVerify()` Get use the option --no-verify (can prevent trailing whitespace issue with cygwin).
    `void` | `setCommitNoVerify(boolean commitNoVerify)` Set use the option --no-verify (can prevent trailing whitespace issue with cygwin).
    `void` | `setModelEncoding(String modelEncoding)` Set the modelEncoding field.
    `void` | `setRevParseDateFormat(String revParseDateFormat)` Set git format allowed by changelog command.
    `void` | `setTraceGitCommand(String traceGitCommand)` Set traces the execution of a git command.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Settings

          public Settings()

  - ### Method Detail

    - #### getModelEncoding

          public String getModelEncoding()

      Get the modelEncoding field.
      Returns:
        String

    - #### getRevParseDateFormat

          public String getRevParseDateFormat()

      Get git format allowed by changelog command.
      Returns:
        String

    - #### getTraceGitCommand

          public String getTraceGitCommand()

      Get traces the execution of a git command. could be 1,2, true or a file location.
      Returns:
        String

    - #### isCommitNoVerify

          public boolean isCommitNoVerify()

      Get use the option --no-verify (can prevent trailing whitespace issue with cygwin).
      Returns:
        boolean

    - #### setCommitNoVerify

          public void setCommitNoVerify(boolean commitNoVerify)

      Set use the option --no-verify (can prevent trailing whitespace issue with cygwin).
      Parameters:
        `commitNoVerify` -

    - #### setModelEncoding

          public void setModelEncoding(String modelEncoding)

      Set the modelEncoding field.
      Parameters:
        `modelEncoding` -

    - #### setRevParseDateFormat

          public void setRevParseDateFormat(String revParseDateFormat)

      Set git format allowed by changelog command.
      Parameters:
        `revParseDateFormat` -

    - #### setTraceGitCommand

          public void setTraceGitCommand(String traceGitCommand)

      Set traces the execution of a git command. could be 1,2, true or a file location.
      Parameters:
        `traceGitCommand` -

Copyright © 2003–2015. All rights reserved.